import axios from 'axios';
const baseUri = "/sound/zone/noiseLeqLevel";
const listAllUrl = baseUri + "";

// 添加
const saveLeqLevel = function (data) {
    return axios.post("/sound/zone/noiseLeqLevel",data)
}

// 删除
const removeLeqLevel = function (id) {
    return axios.delete(`/sound/zone/noiseLeqLevel/${id}`,)
}
// 批量删除
const removeBatchLeqLevel = function (ids) {
    return axios.delete("/sound/zone/noiseLeqLevel/batch",{data:ids})
}

// 修改
const updateLeqLevel = function (data) {
    return axios.put("/sound/zone/noiseLeqLevel",data)
}
const getColumnOptions = function(column){
    return axios.get("/sound/zone/noiseLeqLevel/options",{params:{column}})
}

const copyBatchLeqLevel = function (data){
    return axios.post("/sound/zone/noiseLeqLevel/copyBatch",data)
}


export {
    listAllUrl,
    saveLeqLevel,
    updateLeqLevel,
    removeBatchLeqLevel,
    removeLeqLevel,
    getColumnOptions,
    copyBatchLeqLevel

}
